%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-gbinder
Version:       1.1.2
Release:       1mamba
Summary:       Python bindings for libgbinder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/erfanoabdi/gbinder-python
Source:        https://github.com/erfanoabdi/gbinder-python.git/%{version}/gbinder-python-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgbinder-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n gbinder-python-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build --cython

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/gbinder_python-%{version}-py*.egg-info
%{python3_sitearch}/gbinder_python-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Wed Sep 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- package created using the webbuild interface
